Page 1 of 1

Update FTP TLS Protocol Version

Posted: Thu Jul 30, 2020 5:15 am
by Zheng He
It has been a long time since FileZilla v3.47 update broke the compatibility with BA FTP. It turns out that BA FTP is utilizing TLS v1.0 from 1999, which is extremely old, vulnerable and deprecated, and that's why FileZilla v3.47+ literally refused to connect BA FTP. There is no obvious reason still using TLS v1.0, since TLS v1.2 from 2008 is properly supported by Windows XP and above. I strongly suggest that you update TLS protocol version to v1.2 and/or v1.3 and update cipher suite as well. Both MD5 and SHA-1 are insecure now.

Re: Update FTP TLS Protocol Version

Posted: Thu Jul 30, 2020 8:44 am
by Andy
We can't update it, which is why we ask people to use an older version. The software we use us no longer updated so we're stuck on the newest version they offer. We are exploring new options but integration isn't easy.

Re: Update FTP TLS Protocol Version

Posted: Thu Jul 30, 2020 10:34 pm
by DJ Deedahx
Alternatively, there is another program I personally use called WinSCP which can access the BetaArchive FTP with no issues as of right now.

Re: Update FTP TLS Protocol Version

Posted: Thu Jul 30, 2020 11:28 pm
by Windowsbegood
I'm also using that client, but it would be nice if you could change the FTP software so newer FileZilla clients can access.

Re: Update FTP TLS Protocol Version

Posted: Fri Jul 31, 2020 12:06 am
by JustZisGuy
BA FTP is utilizing TLS v1.0 from 1999, which is extremely old, vulnerable and deprecated,
Which would be important if BA FTP users were transferring banking files or some such. So if some evil hacker breaks in to the encryption and publicly unleashes terabytes of Windows 8 betas on the world... ok, I guess that would be pretty horrible. :P